function p = step0_digit_exprs_p_norm(x, y)
x=round(x);
y=round(y);
    if 1 %1995 paper 
        if x+y<20  % if x+y small
            p(1) = nchoosek(x+y,x) * 2^-(x+y+1);
            p(2) = nchoosek(x+y,y) * 2^-(x+y+1);
        else   % if x+y large, use the approximate equations
           log_p1 = (x+y)*log(x+y) - x*log(x) - y*log(y) - (x+y+1)*log(2);
           p(1) = exp(log_p1);
           log_p2 = (x+y)*log(x+y) - x*log(x) - y*log(y) - (x+y+1)*log(2);
           p(2) = exp(log_p2);
        end
    end   
        
    p = max(p);
end